JexlException.VariableIssue (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, enum: VariableIssue

Package org.apache.commons.jexl3

# Enum JexlException.VariableIssue

java.lang.Object
java.lang.Enum<JexlException.VariableIssue>
org.apache.commons.jexl3.JexlException.VariableIssue

All Implemented Interfaces:
  `Serializable`, `Comparable<JexlException.VariableIssue>`

Enclosing class:
  `JexlException`

public static enum JexlException.VariableIssue extends Enum<JexlException.VariableIssue>
Enumerates types of variable issues.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONST`
  THe variable is const and an attempt is made to assign it
  `NULLVALUE`
  The variable has a null value.
  `REDEFINED`
  The variable is already declared.
  `UNDEFINED`
  The variable is undefined.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `message(String var)`
  Stringifies the variable issue.
  `static JexlException.VariableIssue`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static JexlException.VariableIssue[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNDEFINED

    public static final JexlException.VariableIssue UNDEFINED
    The variable is undefined.

  - ### REDEFINED

    public static final JexlException.VariableIssue REDEFINED
    The variable is already declared.

  - ### NULLVALUE

    public static final JexlException.VariableIssue NULLVALUE
    The variable has a null value.

  - ### CONST

    public static final JexlException.VariableIssue CONST
    THe variable is const and an attempt is made to assign it

- ## Method Details

  - ### values

    public static JexlException.VariableIssue[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static JexlException.VariableIssue valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### message

    public String message(String var)
    Stringifies the variable issue.
    Parameters:
      `var` - the variable name
    Returns:
      the issue message